<template>
    <div class="content-block">
        <div class="container">
            <div class="margin-top-50"></div>
            <div class="row">
                <div class="columns twelve central-column pos-block">
                    <div class="content">
                        <div class="main-pos">
                            <carousel></carousel>
                            <transition name="fade">
                                <info-block v-if="!pay"></info-block>
                            </transition>
                            <transition name="fade">
                                <pay v-if="pay"></pay>
                            </transition>
                        </div>
                        <payment-history></payment-history>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
  import carousel from './Components/Carousel';
  import infoBlock from './Components/InfoBlock';
  import paymentHistory from './Components/PaymentHistory';
  import pay from './Components/PaymentBlock'

  export default {
    components: {
      pay,
      carousel,
      infoBlock,
      paymentHistory
    },

    data () {
      return {
        pay: false,
      }
    },


    created () {
      // this.AJAX_LOADING(true);
      // this.$store.dispatch('GET_INSTALLMENT_DATA').then(() => {
      //
      // }).catch((e) => {
      //
      // }).finally(() => {
      //   this.AJAX_LOADING(false);
      // });

      this.$events.$on('installment.block.pay', (state) => {
        this.pay = state;
        this.$events.$emit('payform.focus', {sum: this.$installment.payment.current_minimal_payment});
      })
    }

  }
</script>

<style scoped>

</style>
